<?php
include_once("c_esmo_gateway_get_docs.php");
class c_page_cab_esmo_gateway_push_kt extends c_page_cab_esmo_gateway_get_docs
{
    public $h1='Оповещение по результату КТ - текущий статус' ;
    public $use_datepicker=1 ;

    var $arr_mode=array(1=>'Асинхронный',2=>'Синхронный') ;

    function second_menu_config()
    { $this->second_menu_show_all=1 ;
      $this->second_menu['/cab/esmo_gateway/push/kt/']=array('title'=>'Текущий статус') ;
      $this->second_menu['/cab/esmo_gateway/push/kt/setting/']=array('title'=>'Настройки') ;
      $this->second_menu['/cab/esmo_gateway/push/kt/check/']=array('title'=>'Проверка') ;
      $this->second_menu['/cab/esmo_gateway/push/kt/log/']=array('title'=>'Журнал') ;
      $this->second_menu['/cab/esmo_gateway/push/kt/manual/']=array('title'=>'Описание') ;
    }

   function block_main()
   { $this->page_title() ;
     $this->panel_cur_status() ;
   }

   function panel_cur_status()
   {  if (!$GLOBALS['LS_kt_push_format']) $GLOBALS['LS_kt_push_format']=1 ;
      echo 'Адрес сервера для отправки уведомлений по КТ: <strong>'.(($GLOBALS['LS_kt_push_server'])? $GLOBALS['LS_kt_push_server']:'Не задан').'</strong><br>' ;
      echo 'Формат отправляемых данных: <strong>'.$_SESSION['ARR_mo_push_format'][$GLOBALS['LS_kt_push_format']].'</strong><br>' ;
      echo 'Синхронный режим: <strong>'.(($GLOBALS['LS_kt_push_sync'])? '<span class="green">Включен с '.date('d.m.Y H:i',$GLOBALS['LS_kt_push_sync']).'</span>':'Выключен').'</strong><br>' ;
      echo 'Асинхронный режим: <strong>'.(($GLOBALS['LS_kt_push_async'])? '<span class="green">Включен с '.date('d.m.Y H:i',$GLOBALS['LS_kt_push_async']).'</span>':'Выключен').'</strong><br>' ;
      $cron_rec=execSQL_van('select * from obj_site_crontab where cmd="KT/cron_send_push_kt_result_async" limit 1') ;
	  echo 'Задание на отправку данных в планировщике (crontab): <strong>'.(($cron_rec['enabled'])? '<span class="green">Включено</span>, '.$cron_rec['intr'].'</span>':'<span class="'.(($GLOBALS['LS_kt_push_sync'] or $GLOBALS['LS_kt_push_async'])? 'red':'').'">Выключено</span>').'</strong><br>' ;
      $cnt_kt_to_send=execSQL_value('select count(pkey) from obj_site_kt_session where c_data>'.$GLOBALS['LS_kt_push_async'].' and event_send=0 and dopusk in (1,2)')  ;
      echo 'В очереди на отправку: <strong>'.(($cnt_kt_to_send)? $cnt_kt_to_send:'нет ').'</strong> МО<br>' ;
      $last_event_send=execSQL_value('select max(event_send) from obj_site_kt_session') ;
      if ($last_event_send)
      { echo 'Последняя отправка данных по МО: <strong>'.date('d.m.Y H:i:s',$last_event_send).'</strong><br>' ;
      $last_kt_id=execSQL_value('select pkey from obj_site_kt_session where event_send='.$last_event_send.' order by pkey desc limit 1') ;
      echo 'Последнее отправленное МО: <strong>'.$last_kt_id.'</strong><br>' ;
      } else echo 'Данные по МО еще не отправлялись<br>' ;


   }










}



?>